Bug 144592 - Creating a launcher on the desktop does nothing
Creating a launcher on the desktop does nothing
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 20:08 EST by Brian Fahrlander
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 11:34:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Fahrlander 2005-01-08 20:08:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
A friend had installed symantic but it didn't appear in the
system-settings menu as it did on my machine. I told him to make an
icon for it on the desktop.  Right-click, create launcher, filled in
the basics, and when done, nothing happened.  Twice.  On mine, it
worked the same way.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Right-click on the background
2. Select Create Launcher
3. Fill in the fields, including 'application' and pick an icon
4. Press "ok"


Actual Results:  Literally nothing.  Nothing was created. And large
amounts of it, too.

:)

Expected Results:  An icon like I'd chosen would show up somewhere,
usually under/near the icons on the left side of the screen.  I moved
the windows away in case they were under gaim, or gaim's chat window,
but no dice.  It simply wasn't created.

Additional info:

I thought the days of problems like these were long gone.  Could it be
some kinda screen refresh problem?  That it's there, but not being
presented until I logout?
Comment 1 Matthew Miller 2006-07-10 16:27:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Brian Fahrlander 2006-07-10 19:32:30 EDT
Well, FC3 was mainstream when I posted this bug- I'd completely forgotten about
it, to be honest.  But it highlights a bigger problem, though one over which you
and I have no control.

Redhat's turned SCO.  Nope, not the RECENT SCO, but the old one.  They're
starting to make decisions based on business school, not common-sense-school.
Like LDAP.

While their implementation of LDAP has a *beautiful* install/configuration
wrapper, it's wrapped around a version of LDAP that's three releases old.  It
breaks, it has problems, and isn't getting any better, YEARS since I started
fighting it.  Why?  I think it's because they have the new Directory-Thing from
Netscape; a monstrosity, by comparison. Even if all the parts were there, not
just the server.  Running in Java, offering only part of the solution, under a
big banner with a new set of headaches that doubles the skills I need to learn
to "do" LDAP; it's a non-starter.

But it's far from the only problem: Xcdroast, for instance. Can't remove
{KDE|Gnome} and leave the other, for instance.  In short, Redhat is now
translating so much of the original base of Linux, that it's almost become a
fork, from the viewpoint of a maintainer of systems, like myself.

That's why after all these years, since I started with Redhat 4.0, I'm using
Ubuntu in all places I used to use Fedora. 

It *just*works*.  

Change a soundcard on reboot?  It sees the change and without incident picks up
where the old settings left off.  Change video? Same thing.  Their LDAP
implementation is pretty close to current, though not CVS (thank God).  In
short, they do very little translation between author and user, and they do a
really good job. Their documentation is clear- like someone who had time to only
do documentation, and didn't give a rip about confounding the reader with
confusing statements about legal terms, special meaning in California, or the
rotation of the Earth; just simple docs.  In all the struggle to maintain/grow
stock shares, I think Redhat's forgotten about that.

So drop this bug; we're two versions beyond it, now, and I'm another "version"
beyond that.

Sorry- I loved Redhat (as I loved SCO, btw) but the business-school square-heads
are wrecking the product. Business school teachers who TAUGHT this stuff are 20
years behind even the Dot-Com era: they're guiding Redhat with old tactics, and
killing it's innovation.  

See also: SCO charging $1100 for the development system. Business school taught
them they need to be *reimbursed* for the time it took to compile that
code....so they lost their market and had to sell out to the recent bunch of
crooks who've done so well in their efforts.  :)  Instead, they restricted the
ONE THING that causes more code to be generated for their platform. Can you
believe that?

If Redhat doesn't reform in a big way, NONE of these bug reports will matter. 
Any other open bug reports from me can go in the trash; I don't have time for
this, now, sorry.
Comment 3 Matthew Miller 2006-07-11 11:34:02 EDT
Okay, that's a nice rant and all, but I've got, like, eleven hundred of these
bugs I'm going through. :)

Anyway, marking CANTFIX as per comment above.

Note You need to log in before you can comment on or make changes to this bug.